data:extend(
{
  {
    type = "electric-pole",
    name = "wire-bus",
    icon = "__WireBus__/graphics/icons/wire-bus.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "wire-bus"},
    max_health = 100,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
    collision_box = {{-0.01, -0.01}, {0.01, 0.01}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    drawing_box = {{-0.5, -0.5}, {0.5, 0.5}},
    maximum_wire_distance = 16,
    supply_area_distance = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    pictures =
    {
      filename = "__WireBus__/graphics/entity/wire-bus.png",
      priority = "low",
      width = 32,
      height = 32,
      direction_count = 4,
      shift = {0.01, 0}
    },
    connection_points =
    {
      {
        shadow =
        {
          copper = {0, 0},
          green = {-0.2, 0},
          red = {0.2, 0}
        },
        wire =
        {
          copper = {0, 0},
          green = {-0.2, 0},
          red = {0.2, 0}
        }
      },
      {
        shadow =
        {
          copper = {0, 0},
          green = {0.2, 0.2},
          red = {-0.2, -0.2}
        },
        wire =
        {
          copper = {0, 0},
          green = {0.2, 0.2},
          red = {-0.2, -0.2}
        }
      },
      {
        shadow =
        {
          copper = {0, 0},
          green = {0, 0.2},
          red = {0, -0.2}
        },
        wire =
        {
          copper = {0, 0},
          green = {0, 0.2},
          red = {0, -0.2}
        }
      },
      {
        shadow =
        {
          copper = {0, 0},
          green = {-0.2, 0.2},
          red = {0.2, -0.2}
        },
        wire =
        {
          copper = {0, 0},
          green = {-0.2, 0.2},
          red = {0.2, -0.2}
        }
      }
    },
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      width = 4,
      height = 4,
      priority = "extra-high-no-scale"
    },
  }
})
